"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBlocksIDsFromDBStream = exports.getDataFromDBStream = void 0;
const lisk_codec_1 = require("@liskhq/lisk-codec");
const getDataFromDBStream = async (stream, schema) => {
    const data = await new Promise((resolve, reject) => {
        const result = [];
        stream
            .on('data', async ({ value }) => {
            const decodedResult = await lisk_codec_1.codec.decode(schema, value);
            result.push(decodedResult);
        })
            .on('error', error => {
            reject(error);
        })
            .on('end', () => {
            resolve(result);
        });
    });
    return data;
};
exports.getDataFromDBStream = getDataFromDBStream;
const getBlocksIDsFromDBStream = async (stream) => {
    const blockIDs = await new Promise((resolve, reject) => {
        const ids = [];
        stream
            .on('data', ({ value }) => {
            ids.push(value);
        })
            .on('error', error => {
            reject(error);
        })
            .on('end', () => {
            resolve(ids);
        });
    });
    return blockIDs;
};
exports.getBlocksIDsFromDBStream = getBlocksIDsFromDBStream;
//# sourceMappingURL=block.js.map